<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Classwork</title>

    <script>
  /*
    Задание:
      1. Используя интерфейс который есть на страничке, написать визуальный
      конструктор обектов используя значение key-value, которые вводятся в
      соответствующие поля в форме.

      2. Каждый созданый обьект выводить в тег code после добавления каждого
      нового поля. Т.е мы должны визуально видить в каком состоянии наши обьекты
      сейчас

      3. По нажатию кнопки Combine Objects! два обьекта должны обьедениться
      используя метод Object.assing или scodead operator и вывестись на стринчку.

      * Изменять HTML можно.

  */

    </script>
</head>
<body>
  <div class="wrap">
      <div class="assigned">
        <div class="ObjForm">
            <input name="key" placeholder="Enter your key"/>
            <input name="value" placeholder="Enter your value"/>
            <button type="submit">Send</button>
        </div>
        <div class="createResult">
          <header>
            Created Object
          </header>
          <div class="createdObj">
            <pre>
     
                  {
                    id:123,
                    b:'test',
                    demo:'test2'
                  }
       
            </pre>
          </div>
        </div>
      </div>

      <div class="assigned">
        <div class="ObjForm">
            <input name="key" placeholder="Enter your key"/>
            <input name="value" placeholder="Enter your value"/>
            <button type="submit">Send</button>
          </div>
          <div class="createResult">
            <header>
              Created Object
            </header>
            <div class="createdObj">
              <pre>
                {
                  id:123,
                  b:'test',
                  demo:'test2'
                }
              </pre>
            </div>
          </div>
      </div>
    </div>
    <div class="resultBlock">
       <button id="rez">Combine Objects!</button>
      <h3> Result: </h3>
      <pre width="200px" id="result"></pre>
    </div>

      <script>
        let arr = []
        let container = document.querySelectorAll('.assigned');
        container.forEach(v => {
          let obj = v.querySelector('pre');
          
          let inp = v.querySelectorAll('input');
          
          let btn = v.querySelector('button');

          let newObj = {
            id:123,
            b:'test',
            demo:'test2'
          }
          
          btn.addEventListener('click', () => {
            let k, val;
            inp.forEach(d => {
              if(d.name === 'key') {
                k = d.value;
              }
              if(d.name === 'value') {
                val = d.value;
              }
            })
            newObj[k] = val;

            obj.innerHTML = JSON.stringify(newObj, null, 4)
          })
          arr.push(newObj)
        })
        let btnAss = document.querySelector('#rez');
        let rez = document.querySelector('#result');

        btnAss.addEventListener('click', () => {
            var rezObj = Object.assign(arr[0], arr[1]);
            console.log(rezObj);
            rez.innerHTML = JSON.stringify(rezObj, null, 4)
        })
      </script>
      <style>
        .wrap{
          width: 800px;
          display: flex;
        }
        .ObjForm,
        .resultBlock{
          display: flex;
          flex-direction: column;
          align-items: flex-start;
          box-sizing: border-box;
          padding: 10px 20px;
        }

        .assigned{
          width: 300px;
          display: flex;
        }
        .createResult header{
          font-weight: 700;
        }
      </style>
</body>
</html>
